SystemController (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.sun.SystemController interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.sun
Interface SystemController

All Superinterfaces:
  Function, LogicalElement, ManagedElement, ManagedSystemElement, Management, ModelObject, java.io.Serializable, Version

    public interface SystemController

extends Management, Version

A Nordica-based printed circuit board (PCB) which provides critical services and resources required for the operation and control of the Sun Fire system. A System Controller is a Solaris machine having the System Management Services installed on. From a System Controlled the machine administrator can manage partitions (create/delete/modify dynamic system domains)

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getControllerRole()` Maintain the System Controller Role.
`SunFireComputerSystem` | `getSunfirecomputersystem()`
`boolean` | `hasControllerRole()`
`boolean` | `hasSunfirecomputersystem()`
`void` | `setControllerRole(int x)`
`void` | `setSunfirecomputersystem(SunFireComputerSystem x)`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSunfirecomputersystem

    SunFireComputerSystem getSunfirecomputersystem()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="false"

### setSunfirecomputersystem

    void setSunfirecomputersystem(SunFireComputerSystem x)

### hasSunfirecomputersystem

    boolean hasSunfirecomputersystem()

### getControllerRole

    int getControllerRole()
                          throws AttributeNotSetException

  Maintain the System Controller Role. Sun Fire system can have two System Controllers (to support failover mechanism) but administration commands can be submitted only from one. A system controller can be in a MAIN, SPARE or UNKNOWN state. The MAIN state is for the currently active system controller, SPARE is the state for the inactive System Controller. To determine this value in the SunFire environment, run the System Management Services "showfailover -r" command.

  Throws:
    `AttributeNotSetException`

### setControllerRole

    void setControllerRole(int x)

### hasControllerRole

    boolean hasControllerRole()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD